aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatias Elo <matias.elo@nokia.com>2020-12-03 13:15:08 +0200
committerMatias Elo <matias.elo@nokia.com>2020-12-04 09:10:35 +0200
commitb28e406e3fb3c971fe4c94e2647061d89fe2bbb3 (patch)
treea5829f2f925820b3dca394216a948c2a4d177f74
parent9f323f67620fd9b5fe3d31ad3116a29fdb9598ea (diff)
linux-gen: test: add missing exit to switch example pktio_env
Fail switch example test if output file sizes don't match. Signed-off-by: Matias Elo <matias.elo@nokia.com> Reviewed-by: Petri Savolainen <petri.savolainen@nokia.com>
-rw-r--r--platform/linux-generic/test/example/switch/pktio_env1
1 files changed, 1 insertions, 0 deletions
diff --git a/platform/linux-generic/test/example/switch/pktio_env b/platform/linux-generic/test/example/switch/pktio_env
index cbf5c4ddc..78201cec7 100644
--- a/platform/linux-generic/test/example/switch/pktio_env
+++ b/platform/linux-generic/test/example/switch/pktio_env
@@ -35,6 +35,7 @@ validate_result()
do
if [ `stat -c %s pcapout${i}.pcap` -ne `stat -c %s ${PCAP_IN}` ]; then
echo "Error: Output file $i size not matching"
+ exit 1
fi
rm -f pcapout${i}.pcap
done